/*------------------------------------------------------------------------------
--       Copyright (c) 2015-2017, VeriSilicon Inc. All rights reserved        --
--         Copyright (c) 2011-2014, Google Inc. All rights reserved.          --
--         Copyright (c) 2007-2010, Hantro OY. All rights reserved.           --
--                                                                            --
-- This software is confidential and proprietary and may be used only as      --
--   expressly authorized by VeriSilicon in a written licensing agreement.    --
--                                                                            --
--         This entire notice must be reproduced on all copies                --
--                       and may not be removed.                              --
--                                                                            --
--------------------------------------------------------------------------------
-- Redistribution and use in source and binary forms, with or without         --
-- modification, are permitted provided that the following conditions are met:--
--   * Redistributions of source code must retain the above copyright notice, --
--       this list of conditions and the following disclaimer.                --
--   * Redistributions in binary form must reproduce the above copyright      --
--       notice, this list of conditions and the following disclaimer in the  --
--       documentation and/or other materials provided with the distribution. --
--   * Neither the names of Google nor the names of its contributors may be   --
--       used to endorse or promote products derived from this software       --
--       without specific prior written permission.                           --
--------------------------------------------------------------------------------
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"--
-- AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE  --
-- IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE --
-- ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE  --
-- LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR        --
-- CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF       --
-- SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS   --
-- INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN    --
-- CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)    --
-- ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE --
-- POSSIBILITY OF SUCH DAMAGE.                                                --
--------------------------------------------------------------------------------
------------------------------------------------------------------------------*/

/* HWIF_DEC_PIC_INF       */ {/*swreg*/1 ,  1, 24},
/* HWIF_DEC_TIMEOUT       */ {/*swreg*/1 ,  1, 18},
/* HWIF_DEC_SLICE_INT     */ {/*swreg*/1 ,  1, 17},
/* HWIF_DEC_ERROR_INT     */ {/*swreg*/1 ,  1, 16},
/* HWIF_DEC_ASO_INT       */ {/*swreg*/1 ,  1, 15},
/* HWIF_DEC_BUFFER_INT    */ {/*swreg*/1 ,  1, 14},
/* HWIF_DEC_BUS_INT       */ {/*swreg*/1 ,  1, 13},
/* HWIF_DEC_RDY_INT       */ {/*swreg*/1 ,  1, 12},
/* HWIF_DEC_ABORT_INT     */ {/*swreg*/1 ,  1, 11},
/* HWIF_DEC_IRQ           */ {/*swreg*/1 ,  1,  8},
/* HWIF_DEC_ABORT_E       */ {/*swreg*/1 ,  1,  5},
/* HWIF_DEC_IRQ_DIS       */ {/*swreg*/1 ,  1,  4},
/* HWIF_DEC_E             */ {/*swreg*/1 ,  1,  0},
/* HWIF_DEC_AXI_RD_ID     */ {/*swreg*/2 ,  8, 24},
/* HWIF_DEC_TIMEOUT_E     */ {/*swreg*/2 ,  1, 23},
/* HWIF_DEC_STRSWAP32_E   */ {/*swreg*/2 ,  1, 22},
/* HWIF_DEC_STRENDIAN_E   */ {/*swreg*/2 ,  1, 21},
/* HWIF_DEC_INSWAP32_E    */ {/*swreg*/2 ,  1, 20},
/* HWIF_DEC_OUTSWAP32_E   */ {/*swreg*/2 ,  1, 19},
/* HWIF_DEC_DATA_DISC_E   */ {/*swreg*/2 ,  1, 18},
/* HWIF_DEC_2CHAN_DIS     */ {/*swreg*/2 ,  1, 18},
/* HWIF_TILED_MODE_MSB    */ {/*swreg*/2 ,  1, 17},
/* HWIF_DEC_OUT_TILED_E   */ {/*swreg*/2 ,  1, 17},
/* HWIF_DEC_LATENCY       */ {/*swreg*/2 ,  6, 11},
/* HWIF_DEC_CLK_GATE_E    */ {/*swreg*/2 ,  1, 10},
/* HWIF_DEC_IN_ENDIAN     */ {/*swreg*/2 ,  1,  9},
/* HWIF_DEC_OUT_ENDIAN    */ {/*swreg*/2 ,  1,  8},
/* HWIF_PRIORITY_MODE     */ {/*swreg*/2 ,  3,  5},
/* HWIF_TILED_MODE_LSB    */ {/*swreg*/2 ,  1,  7},
/* HWIF_DEC_ADV_PRE_DIS   */ {/*swreg*/2 ,  1,  6},
/* HWIF_DEC_SCMD_DIS      */ {/*swreg*/2 ,  1,  5},
/* HWIF_DEC_MAX_BURST     */ {/*swreg*/2 ,  5,  0},
/* HWIF_DEC_MODE          */ {/*swreg*/3 ,  4, 28},
/* HWIF_RLC_MODE_E        */ {/*swreg*/3 ,  1, 27},
/* HWIF_SKIP_MODE         */ {/*swreg*/3 ,  1, 26},
/* HWIF_DIVX3_E           */ {/*swreg*/3 ,  1, 25},
/* HWIF_PJPEG_E           */ {/*swreg*/3 ,  1, 24},
/* HWIF_PIC_INTERLACE_E   */ {/*swreg*/3 ,  1, 23},
/* HWIF_PIC_FIELDMODE_E   */ {/*swreg*/3 ,  1, 22},
/* HWIF_PIC_B_E           */ {/*swreg*/3 ,  1, 21},
/* HWIF_PIC_INTER_E       */ {/*swreg*/3 ,  1, 20},
/* HWIF_PIC_TOPFIELD_E    */ {/*swreg*/3 ,  1, 19},
/* HWIF_FWD_INTERLACE_E   */ {/*swreg*/3 ,  1, 18},
/* HWIF_SORENSON_E        */ {/*swreg*/3 ,  1, 17},
/* HWIF_REF_TOPFIELD_E    */ {/*swreg*/3 ,  1, 16},
/* HWIF_DEC_OUT_DIS       */ {/*swreg*/3 ,  1, 15},
/* HWIF_FILTERING_DIS     */ {/*swreg*/3 ,  1, 14},
/* HWIF_WEBP_E            */ {/*swreg*/3 ,  1, 13},
/* HWIF_MVC_E             */ {/*swreg*/3 ,  1, 13},
/* HWIF_PIC_FIXED_QUANT   */ {/*swreg*/3 ,  1, 13},
/* HWIF_WRITE_MVS_E       */ {/*swreg*/3 ,  1, 12},
/* HWIF_REFTOPFIRST_E     */ {/*swreg*/3 ,  1, 11},
/* HWIF_SEQ_MBAFF_E       */ {/*swreg*/3 ,  1, 10},
/* HWIF_PICORD_COUNT_E    */ {/*swreg*/3 ,  1,  9},
/* HWIF_DEC_AHB_HLOCK_E   */ {/*swreg*/3 ,  1,  8},
/* HWIF_DEC_AXI_WR_ID     */ {/*swreg*/3 ,  8,  0},
/* HWIF_PIC_MB_WIDTH      */ {/*swreg*/4 ,  9, 23},
/* HWIF_MB_WIDTH_OFF      */ {/*swreg*/4 ,  4, 19},
/* HWIF_PIC_MB_HEIGHT_P   */ {/*swreg*/4 ,  8, 11},
/* HWIF_MB_HEIGHT_OFF     */ {/*swreg*/4 ,  4,  7},
/* HWIF_ALT_SCAN_E        */ {/*swreg*/4 ,  1,  6},
/* HWIF_TOPFIELDFIRST_E   */ {/*swreg*/4 ,  1,  5},
/* HWIF_REF_FRAMES        */ {/*swreg*/4 ,  5,  0},
/* HWIF_PIC_MB_W_EXT      */ {/*swreg*/4 ,  3,  3},
/* HWIF_PIC_MB_H_EXT      */ {/*swreg*/4 ,  3,  0},
/* HWIF_PIC_REFER_FLAG    */ {/*swreg*/4 ,  1,  0},
/* HWIF_STRM_START_BIT    */ {/*swreg*/5 ,  6, 26},
/* HWIF_SYNC_MARKER_E     */ {/*swreg*/5 ,  1, 25},
/* HWIF_TYPE1_QUANT_E     */ {/*swreg*/5 ,  1, 24},
/* HWIF_CH_QP_OFFSET      */ {/*swreg*/5 ,  5, 19},
/* HWIF_CH_QP_OFFSET2     */ {/*swreg*/5 ,  5, 14},
/* HWIF_FIELDPIC_FLAG_E   */ {/*swreg*/5 ,  1,  0},
/* HWIF_INTRADC_VLC_THR   */ {/*swreg*/5 ,  3, 16},
/* HWIF_VOP_TIME_INCR     */ {/*swreg*/5 , 16,  0},
/* HWIF_DQ_PROFILE        */ {/*swreg*/5 ,  1, 24},
/* HWIF_DQBI_LEVEL        */ {/*swreg*/5 ,  1, 23},
/* HWIF_RANGE_RED_FRM_E   */ {/*swreg*/5 ,  1, 22},
/* HWIF_FAST_UVMC_E       */ {/*swreg*/5 ,  1, 20},
/* HWIF_TRANSDCTAB        */ {/*swreg*/5 ,  1, 17},
/* HWIF_TRANSACFRM        */ {/*swreg*/5 ,  2, 15},
/* HWIF_TRANSACFRM2       */ {/*swreg*/5 ,  2, 13},
/* HWIF_MB_MODE_TAB       */ {/*swreg*/5 ,  3, 10},
/* HWIF_MVTAB             */ {/*swreg*/5 ,  3,  7},
/* HWIF_CBPTAB            */ {/*swreg*/5 ,  3,  4},
/* HWIF_2MV_BLK_PAT_TAB   */ {/*swreg*/5 ,  2,  2},
/* HWIF_4MV_BLK_PAT_TAB   */ {/*swreg*/5 ,  2,  0},
/* HWIF_QSCALE_TYPE       */ {/*swreg*/5 ,  1, 24},
/* HWIF_CON_MV_E          */ {/*swreg*/5 ,  1,  4},
/* HWIF_INTRA_DC_PREC     */ {/*swreg*/5 ,  2,  2},
/* HWIF_INTRA_VLC_TAB     */ {/*swreg*/5 ,  1,  1},
/* HWIF_FRAME_PRED_DCT    */ {/*swreg*/5 ,  1,  0},
/* HWIF_JPEG_QTABLES      */ {/*swreg*/5 ,  2, 11},
/* HWIF_JPEG_MODE         */ {/*swreg*/5 ,  3,  8},
/* HWIF_JPEG_FILRIGHT_E   */ {/*swreg*/5 ,  1,  7},
/* HWIF_JPEG_STREAM_ALL   */ {/*swreg*/5 ,  1,  6},
/* HWIF_CR_AC_VLCTABLE    */ {/*swreg*/5 ,  1,  5},
/* HWIF_CB_AC_VLCTABLE    */ {/*swreg*/5 ,  1,  4},
/* HWIF_CR_DC_VLCTABLE    */ {/*swreg*/5 ,  1,  3},
/* HWIF_CB_DC_VLCTABLE    */ {/*swreg*/5 ,  1,  2},
/* HWIF_CR_DC_VLCTABLE3   */ {/*swreg*/5 ,  1,  1},
/* HWIF_CB_DC_VLCTABLE3   */ {/*swreg*/5 ,  1,  0},
/* HWIF_STRM1_START_BIT   */ {/*swreg*/5 ,  6, 18},
/* HWIF_HUFFMAN_E         */ {/*swreg*/5 ,  1, 17},
/* HWIF_MULTISTREAM_E     */ {/*swreg*/5 ,  1, 16},
/* HWIF_BOOLEAN_VALUE     */ {/*swreg*/5 ,  8,  8},
/* HWIF_BOOLEAN_RANGE     */ {/*swreg*/5 ,  8,  0},
/* HWIF_ALPHA_OFFSET      */ {/*swreg*/5 ,  5,  5},
/* HWIF_BETA_OFFSET       */ {/*swreg*/5 ,  5,  0},
/* HWIF_START_CODE_E      */ {/*swreg*/6 ,  1, 31},
/* HWIF_INIT_QP           */ {/*swreg*/6 ,  6, 25},
/* HWIF_CH_8PIX_ILEAV_E   */ {/*swreg*/6 ,  1, 24},
/* HWIF_STREAM_LEN_EXT    */ {/*swreg*/6 ,  8, 24},
/* HWIF_STREAM_LEN        */ {/*swreg*/6 , 24,  0},
/* HWIF_CABAC_E           */ {/*swreg*/7 ,  1, 31},
/* HWIF_BLACKWHITE_E      */ {/*swreg*/7 ,  1, 30},
/* HWIF_DIR_8X8_INFER_E   */ {/*swreg*/7 ,  1, 29},
/* HWIF_WEIGHT_PRED_E     */ {/*swreg*/7 ,  1, 28},
/* HWIF_WEIGHT_BIPR_IDC   */ {/*swreg*/7 ,  2, 26},
/* HWIF_AVS_H264_H_EXT    */ {/*swreg*/7 ,  1, 25},
/* HWIF_FRAMENUM_LEN      */ {/*swreg*/7 ,  5, 16},
/* HWIF_FRAMENUM          */ {/*swreg*/7 , 16,  0},
/* HWIF_BITPLANE0_E       */ {/*swreg*/7 ,  1, 31},
/* HWIF_BITPLANE1_E       */ {/*swreg*/7 ,  1, 30},
/* HWIF_BITPLANE2_E       */ {/*swreg*/7 ,  1, 29},
/* HWIF_ALT_PQUANT        */ {/*swreg*/7 ,  5, 24},
/* HWIF_DQ_EDGES          */ {/*swreg*/7 ,  4, 20},
/* HWIF_TTMBF             */ {/*swreg*/7 ,  1, 19},
/* HWIF_PQINDEX           */ {/*swreg*/7 ,  5, 14},
/* HWIF_VC1_HEIGHT_EXT    */ {/*swreg*/7 ,  1, 13},
/* HWIF_BILIN_MC_E        */ {/*swreg*/7 ,  1, 12},
/* HWIF_UNIQP_E           */ {/*swreg*/7 ,  1, 11},
/* HWIF_HALFQP_E          */ {/*swreg*/7 ,  1, 10},
/* HWIF_TTFRM             */ {/*swreg*/7 ,  2,  8},
/* HWIF_2ND_BYTE_EMUL_E   */ {/*swreg*/7 ,  1,  7},
/* HWIF_DQUANT_E          */ {/*swreg*/7 ,  1,  6},
/* HWIF_VC1_ADV_E         */ {/*swreg*/7 ,  1,  5},
/* HWIF_PJPEG_FILDOWN_E   */ {/*swreg*/7 ,  1, 26},
/* HWIF_PJPEG_WDIV8       */ {/*swreg*/7 ,  1, 25},
/* HWIF_PJPEG_HDIV8       */ {/*swreg*/7 ,  1, 24},
/* HWIF_PJPEG_AH          */ {/*swreg*/7 ,  4, 20},
/* HWIF_PJPEG_AL          */ {/*swreg*/7 ,  4, 16},
/* HWIF_PJPEG_SS          */ {/*swreg*/7 ,  8,  8},
/* HWIF_PJPEG_SE          */ {/*swreg*/7 ,  8,  0},
/* HWIF_DCT1_START_BIT    */ {/*swreg*/7 ,  6, 26},
/* HWIF_DCT2_START_BIT    */ {/*swreg*/7 ,  6, 20},
/* HWIF_CH_MV_RES         */ {/*swreg*/7 ,  1, 13},
/* HWIF_INIT_DC_MATCH0    */ {/*swreg*/7 ,  3,  9},
/* HWIF_INIT_DC_MATCH1    */ {/*swreg*/7 ,  3,  6},
/* HWIF_VP7_VERSION       */ {/*swreg*/7 ,  1,  5},
/* HWIF_CONST_INTRA_E     */ {/*swreg*/8 ,  1, 31},
/* HWIF_FILT_CTRL_PRES    */ {/*swreg*/8 ,  1, 30},
/* HWIF_RDPIC_CNT_PRES    */ {/*swreg*/8 ,  1, 29},
/* HWIF_8X8TRANS_FLAG_E   */ {/*swreg*/8 ,  1, 28},
/* HWIF_REFPIC_MK_LEN     */ {/*swreg*/8 , 11, 17},
/* HWIF_IDR_PIC_E         */ {/*swreg*/8 ,  1, 16},
/* HWIF_IDR_PIC_ID        */ {/*swreg*/8 , 16,  0},
/* HWIF_MV_SCALEFACTOR    */ {/*swreg*/8 ,  8, 24},
/* HWIF_REF_DIST_FWD      */ {/*swreg*/8 ,  5, 19},
/* HWIF_REF_DIST_BWD      */ {/*swreg*/8 ,  5, 14},
/* HWIF_LOOP_FILT_LIMIT   */ {/*swreg*/8 ,  4, 14},
/* HWIF_VARIANCE_TEST_E   */ {/*swreg*/8 ,  1, 13},
/* HWIF_MV_THRESHOLD      */ {/*swreg*/8 ,  3, 10},
/* HWIF_VAR_THRESHOLD     */ {/*swreg*/8 , 10,  0},
/* HWIF_DIVX_IDCT_E       */ {/*swreg*/8 ,  1,  8},
/* HWIF_DIVX3_SLICE_SIZE  */ {/*swreg*/8 ,  8,  0},
/* HWIF_PJPEG_REST_FREQ   */ {/*swreg*/8 , 16,  0},
/* HWIF_RV_PROFILE        */ {/*swreg*/8 ,  2, 30},
/* HWIF_RV_OSV_QUANT      */ {/*swreg*/8 ,  2, 28},
/* HWIF_RV_FWD_SCALE      */ {/*swreg*/8 , 14, 14},
/* HWIF_RV_BWD_SCALE      */ {/*swreg*/8 , 14,  0},
/* HWIF_INIT_DC_COMP0     */ {/*swreg*/8 , 16, 16},
/* HWIF_INIT_DC_COMP1     */ {/*swreg*/8 , 16,  0},
/* HWIF_PPS_ID            */ {/*swreg*/9 ,  8, 24},
/* HWIF_REFIDX1_ACTIVE    */ {/*swreg*/9 ,  5, 19},
/* HWIF_REFIDX0_ACTIVE    */ {/*swreg*/9 ,  5, 14},
/* HWIF_POC_LENGTH        */ {/*swreg*/9 ,  8,  0},
/* HWIF_ICOMP0_E          */ {/*swreg*/9 ,  1, 24},
/* HWIF_ISCALE0           */ {/*swreg*/9 ,  8, 16},
/* HWIF_ISHIFT0           */ {/*swreg*/9 , 16,  0},
/* HWIF_STREAM1_LEN       */ {/*swreg*/9 , 24,  0},
/* HWIF_MB_CTRL_BASE      */ {/*swreg*/9 , 32,  0},
/* HWIF_PIC_SLICE_AM      */ {/*swreg*/9 , 13,  0},
/* HWIF_COEFFS_PART_AM    */ {/*swreg*/9 ,  4, 24},
/* HWIF_DIFF_MV_BASE      */ {/*swreg*/10, 32,  0},
/* HWIF_PINIT_RLIST_F9    */ {/*swreg*/10,  5, 25},
/* HWIF_PINIT_RLIST_F8    */ {/*swreg*/10,  5, 20},
/* HWIF_PINIT_RLIST_F7    */ {/*swreg*/10,  5, 15},
/* HWIF_PINIT_RLIST_F6    */ {/*swreg*/10,  5, 10},
/* HWIF_PINIT_RLIST_F5    */ {/*swreg*/10,  5,  5},
/* HWIF_PINIT_RLIST_F4    */ {/*swreg*/10,  5,  0},
/* HWIF_ICOMP1_E          */ {/*swreg*/10,  1, 24},
/* HWIF_ISCALE1           */ {/*swreg*/10,  8, 16},
/* HWIF_ISHIFT1           */ {/*swreg*/10, 16,  0},
/* HWIF_SEGMENT_BASE      */ {/*swreg*/10, 32,  0},
/* HWIF_SEGMENT_UPD_E     */ {/*swreg*/10,  1,  1},
/* HWIF_SEGMENT_E         */ {/*swreg*/10,  1,  0},
/* HWIF_I4X4_OR_DC_BASE   */ {/*swreg*/11, 32,  0},
/* HWIF_PINIT_RLIST_F15   */ {/*swreg*/11,  5, 25},
/* HWIF_PINIT_RLIST_F14   */ {/*swreg*/11,  5, 20},
/* HWIF_PINIT_RLIST_F13   */ {/*swreg*/11,  5, 15},
/* HWIF_PINIT_RLIST_F12   */ {/*swreg*/11,  5, 10},
/* HWIF_PINIT_RLIST_F11   */ {/*swreg*/11,  5,  5},
/* HWIF_PINIT_RLIST_F10   */ {/*swreg*/11,  5,  0},
/* HWIF_ICOMP2_E          */ {/*swreg*/11,  1, 24},
/* HWIF_ISCALE2           */ {/*swreg*/11,  8, 16},
/* HWIF_ISHIFT2           */ {/*swreg*/11, 16,  0},
/* HWIF_DCT3_START_BIT    */ {/*swreg*/11,  6, 24},
/* HWIF_DCT4_START_BIT    */ {/*swreg*/11,  6, 18},
/* HWIF_DCT5_START_BIT    */ {/*swreg*/11,  6, 12},
/* HWIF_DCT6_START_BIT    */ {/*swreg*/11,  6,  6},
/* HWIF_DCT7_START_BIT    */ {/*swreg*/11,  6,  0},
/* HWIF_RLC_VLC_BASE      */ {/*swreg*/12, 32,  0},
/* HWIF_DEC_OUT_BASE      */ {/*swreg*/13, 32,  0},
/* HWIF_DPB_ILACE_MODE    */ {/*swreg*/13,  1,  1},
/* HWIF_REFER0_BASE       */ {/*swreg*/14, 32,  0},
/* HWIF_REFER0_FIELD_E    */ {/*swreg*/14,  1,  1},
/* HWIF_REFER0_TOPC_E     */ {/*swreg*/14,  1,  0},
/* HWIF_JPG_CH_OUT_BASE   */ {/*swreg*/14, 32,  0},
/* HWIF_REFER1_BASE       */ {/*swreg*/15, 32,  0},
/* HWIF_REFER1_FIELD_E    */ {/*swreg*/15,  1,  1},
/* HWIF_REFER1_TOPC_E     */ {/*swreg*/15,  1,  0},
/* HWIF_JPEG_SLICE_H      */ {/*swreg*/15,  8,  0},
/* HWIF_REFER2_BASE       */ {/*swreg*/16, 32,  0},
/* HWIF_REFER2_FIELD_E    */ {/*swreg*/16,  1,  1},
/* HWIF_REFER2_TOPC_E     */ {/*swreg*/16,  1,  0},
/* HWIF_AC1_CODE6_CNT     */ {/*swreg*/16,  7, 24},
/* HWIF_AC1_CODE5_CNT     */ {/*swreg*/16,  6, 16},
/* HWIF_AC1_CODE4_CNT     */ {/*swreg*/16,  5, 11},
/* HWIF_AC1_CODE3_CNT     */ {/*swreg*/16,  4,  7},
/* HWIF_AC1_CODE2_CNT     */ {/*swreg*/16,  3,  3},
/* HWIF_AC1_CODE1_CNT     */ {/*swreg*/16,  2,  0},
/* HWIF_REFER3_BASE       */ {/*swreg*/17, 32,  0},
/* HWIF_REFER3_FIELD_E    */ {/*swreg*/17,  1,  1},
/* HWIF_REFER3_TOPC_E     */ {/*swreg*/17,  1,  0},
/* HWIF_AC1_CODE10_CNT    */ {/*swreg*/17,  8, 24},
/* HWIF_AC1_CODE9_CNT     */ {/*swreg*/17,  8, 16},
/* HWIF_AC1_CODE8_CNT     */ {/*swreg*/17,  8,  8},
/* HWIF_AC1_CODE7_CNT     */ {/*swreg*/17,  8,  0},
/* HWIF_REFER4_BASE       */ {/*swreg*/18, 32,  0},
/* HWIF_REFER4_FIELD_E    */ {/*swreg*/18,  1,  1},
/* HWIF_REFER4_TOPC_E     */ {/*swreg*/18,  1,  0},
/* HWIF_PIC_HEADER_LEN    */ {/*swreg*/18, 16, 16},
/* HWIF_PIC_4MV_E         */ {/*swreg*/18,  1, 13},
/* HWIF_RANGE_RED_REF_E   */ {/*swreg*/18,  1, 11},
/* HWIF_VC1_DIFMV_RANGE   */ {/*swreg*/18,  2,  9},
/* HWIF_MV_RANGE          */ {/*swreg*/18,  2,  6},
/* HWIF_OVERLAP_E         */ {/*swreg*/18,  1,  5},
/* HWIF_OVERLAP_METHOD    */ {/*swreg*/18,  2,  3},
/* HWIF_ALT_SCAN_FLAG_E   */ {/*swreg*/18,  1, 19},
/* HWIF_FCODE_FWD_HOR     */ {/*swreg*/18,  4, 15},
/* HWIF_FCODE_FWD_VER     */ {/*swreg*/18,  4, 11},
/* HWIF_FCODE_BWD_HOR     */ {/*swreg*/18,  4,  7},
/* HWIF_FCODE_BWD_VER     */ {/*swreg*/18,  4,  3},
/* HWIF_MV_ACCURACY_FWD   */ {/*swreg*/18,  1,  2},
/* HWIF_MV_ACCURACY_BWD   */ {/*swreg*/18,  1,  1},
/* HWIF_MPEG4_VC1_RC      */ {/*swreg*/18,  1,  1},
/* HWIF_PREV_ANC_TYPE     */ {/*swreg*/18,  1,  0},
/* HWIF_AC1_CODE14_CNT    */ {/*swreg*/18,  8, 24},
/* HWIF_AC1_CODE13_CNT    */ {/*swreg*/18,  8, 16},
/* HWIF_AC1_CODE12_CNT    */ {/*swreg*/18,  8,  8},
/* HWIF_AC1_CODE11_CNT    */ {/*swreg*/18,  8,  0},
/* HWIF_GREF_SIGN_BIAS    */ {/*swreg*/18,  1,  0},
/* HWIF_REFER5_BASE       */ {/*swreg*/19, 32,  0},
/* HWIF_REFER5_FIELD_E    */ {/*swreg*/19,  1,  1},
/* HWIF_REFER5_TOPC_E     */ {/*swreg*/19,  1,  0},
/* HWIF_TRB_PER_TRD_D0    */ {/*swreg*/19, 27,  0},
/* HWIF_ICOMP3_E          */ {/*swreg*/19,  1, 24},
/* HWIF_ISCALE3           */ {/*swreg*/19,  8, 16},
/* HWIF_ISHIFT3           */ {/*swreg*/19, 16,  0},
/* HWIF_AC2_CODE4_CNT     */ {/*swreg*/19,  5, 27},
/* HWIF_AC2_CODE3_CNT     */ {/*swreg*/19,  4, 23},
/* HWIF_AC2_CODE2_CNT     */ {/*swreg*/19,  3, 19},
/* HWIF_AC2_CODE1_CNT     */ {/*swreg*/19,  2, 16},
/* HWIF_AC1_CODE16_CNT    */ {/*swreg*/19,  8,  8},
/* HWIF_AC1_CODE15_CNT    */ {/*swreg*/19,  8,  0},
/* HWIF_SCAN_MAP_1        */ {/*swreg*/19,  6, 24},
/* HWIF_SCAN_MAP_2        */ {/*swreg*/19,  6, 18},
/* HWIF_SCAN_MAP_3        */ {/*swreg*/19,  6, 12},
/* HWIF_SCAN_MAP_4        */ {/*swreg*/19,  6,  6},
/* HWIF_SCAN_MAP_5        */ {/*swreg*/19,  6,  0},
/* HWIF_AREF_SIGN_BIAS    */ {/*swreg*/19,  1,  0},
/* HWIF_REFER6_BASE       */ {/*swreg*/20, 32,  0},
/* HWIF_VP8_DEC_CH_BASE   */ {/*swreg*/20, 32,  0},
/* HWIF_VP8_STRIDE_E      */ {/*swreg*/20,  1,  1},
/* HWIF_VP8_CH_BASE_E     */ {/*swreg*/20,  1,  0},
/* HWIF_REFER6_FIELD_E    */ {/*swreg*/20,  1,  1},
/* HWIF_REFER6_TOPC_E     */ {/*swreg*/20,  1,  0},
/* HWIF_TRB_PER_TRD_DM1   */ {/*swreg*/20, 27,  0},
/* HWIF_ICOMP4_E          */ {/*swreg*/20,  1, 24},
/* HWIF_ISCALE4           */ {/*swreg*/20,  8, 16},
/* HWIF_ISHIFT4           */ {/*swreg*/20, 16,  0},
/* HWIF_AC2_CODE8_CNT     */ {/*swreg*/20,  8, 24},
/* HWIF_AC2_CODE7_CNT     */ {/*swreg*/20,  8, 16},
/* HWIF_AC2_CODE6_CNT     */ {/*swreg*/20,  7,  8},
/* HWIF_AC2_CODE5_CNT     */ {/*swreg*/20,  6,  0},
/* HWIF_SCAN_MAP_6        */ {/*swreg*/20,  6, 24},
/* HWIF_SCAN_MAP_7        */ {/*swreg*/20,  6, 18},
/* HWIF_SCAN_MAP_8        */ {/*swreg*/20,  6, 12},
/* HWIF_SCAN_MAP_9        */ {/*swreg*/20,  6,  6},
/* HWIF_SCAN_MAP_10       */ {/*swreg*/20,  6,  0},
/* HWIF_REFER7_BASE       */ {/*swreg*/21, 32,  0},
/* HWIF_Y_STRIDE_POW2     */ {/*swreg*/21,  5, 27},
/* HWIF_C_STRIDE_POW2     */ {/*swreg*/21,  5, 22},
/* HWIF_REFER7_FIELD_E    */ {/*swreg*/21,  1,  1},
/* HWIF_REFER7_TOPC_E     */ {/*swreg*/21,  1,  0},
/* HWIF_TRB_PER_TRD_D1    */ {/*swreg*/21, 27,  0},
/* HWIF_AC2_CODE12_CNT    */ {/*swreg*/21,  8, 24},
/* HWIF_AC2_CODE11_CNT    */ {/*swreg*/21,  8, 16},
/* HWIF_AC2_CODE10_CNT    */ {/*swreg*/21,  8,  8},
/* HWIF_AC2_CODE9_CNT     */ {/*swreg*/21,  8,  0},
/* HWIF_SCAN_MAP_11       */ {/*swreg*/21,  6, 24},
/* HWIF_SCAN_MAP_12       */ {/*swreg*/21,  6, 18},
/* HWIF_SCAN_MAP_13       */ {/*swreg*/21,  6, 12},
/* HWIF_SCAN_MAP_14       */ {/*swreg*/21,  6,  6},
/* HWIF_SCAN_MAP_15       */ {/*swreg*/21,  6,  0},
/* HWIF_REFER8_BASE       */ {/*swreg*/22, 32,  0},
/* HWIF_DCT_STRM1_BASE    */ {/*swreg*/22, 32,  0},
/* HWIF_REFER8_FIELD_E    */ {/*swreg*/22,  1,  1},
/* HWIF_REFER8_TOPC_E     */ {/*swreg*/22,  1,  0},
/* HWIF_AC2_CODE16_CNT    */ {/*swreg*/22,  8, 24},
/* HWIF_AC2_CODE15_CNT    */ {/*swreg*/22,  8, 16},
/* HWIF_AC2_CODE14_CNT    */ {/*swreg*/22,  8,  8},
/* HWIF_AC2_CODE13_CNT    */ {/*swreg*/22,  8,  0},
/* HWIF_SCAN_MAP_16       */ {/*swreg*/22,  6, 24},
/* HWIF_SCAN_MAP_17       */ {/*swreg*/22,  6, 18},
/* HWIF_SCAN_MAP_18       */ {/*swreg*/22,  6, 12},
/* HWIF_SCAN_MAP_19       */ {/*swreg*/22,  6,  6},
/* HWIF_SCAN_MAP_20       */ {/*swreg*/22,  6,  0},
/* HWIF_REFER9_BASE       */ {/*swreg*/23, 32,  0},
/* HWIF_DCT_STRM2_BASE    */ {/*swreg*/23, 32,  0},
/* HWIF_REFER9_FIELD_E    */ {/*swreg*/23,  1,  1},
/* HWIF_REFER9_TOPC_E     */ {/*swreg*/23,  1,  0},
/* HWIF_DC1_CODE8_CNT     */ {/*swreg*/23,  4, 28},
/* HWIF_DC1_CODE7_CNT     */ {/*swreg*/23,  4, 24},
/* HWIF_DC1_CODE6_CNT     */ {/*swreg*/23,  4, 20},
/* HWIF_DC1_CODE5_CNT     */ {/*swreg*/23,  4, 16},
/* HWIF_DC1_CODE4_CNT     */ {/*swreg*/23,  4, 12},
/* HWIF_DC1_CODE3_CNT     */ {/*swreg*/23,  4,  8},
/* HWIF_DC1_CODE2_CNT     */ {/*swreg*/23,  3,  4},
/* HWIF_DC1_CODE1_CNT     */ {/*swreg*/23,  2,  0},
/* HWIF_SCAN_MAP_21       */ {/*swreg*/23,  6, 24},
/* HWIF_SCAN_MAP_22       */ {/*swreg*/23,  6, 18},
/* HWIF_SCAN_MAP_23       */ {/*swreg*/23,  6, 12},
/* HWIF_SCAN_MAP_24       */ {/*swreg*/23,  6,  6},
/* HWIF_SCAN_MAP_25       */ {/*swreg*/23,  6,  0},
/* HWIF_REFER10_BASE      */ {/*swreg*/24, 32,  0},
/* HWIF_DCT_STRM3_BASE    */ {/*swreg*/24, 32,  0},
/* HWIF_REFER10_FIELD_E   */ {/*swreg*/24,  1,  1},
/* HWIF_REFER10_TOPC_E    */ {/*swreg*/24,  1,  0},
/* HWIF_DC1_CODE16_CNT    */ {/*swreg*/24,  4, 28},
/* HWIF_DC1_CODE15_CNT    */ {/*swreg*/24,  4, 24},
/* HWIF_DC1_CODE14_CNT    */ {/*swreg*/24,  4, 20},
/* HWIF_DC1_CODE13_CNT    */ {/*swreg*/24,  4, 16},
/* HWIF_DC1_CODE12_CNT    */ {/*swreg*/24,  4, 12},
/* HWIF_DC1_CODE11_CNT    */ {/*swreg*/24,  4,  8},
/* HWIF_DC1_CODE10_CNT    */ {/*swreg*/24,  4,  4},
/* HWIF_DC1_CODE9_CNT     */ {/*swreg*/24,  4,  0},
/* HWIF_SCAN_MAP_26       */ {/*swreg*/24,  6, 24},
/* HWIF_SCAN_MAP_27       */ {/*swreg*/24,  6, 18},
/* HWIF_SCAN_MAP_28       */ {/*swreg*/24,  6, 12},
/* HWIF_SCAN_MAP_29       */ {/*swreg*/24,  6,  6},
/* HWIF_SCAN_MAP_30       */ {/*swreg*/24,  6,  0},
/* HWIF_REFER11_BASE      */ {/*swreg*/25, 32,  0},
/* HWIF_DCT_STRM4_BASE    */ {/*swreg*/25, 32,  0},
/* HWIF_REFER11_FIELD_E   */ {/*swreg*/25,  1,  1},
/* HWIF_REFER11_TOPC_E    */ {/*swreg*/25,  1,  0},
/* HWIF_DC2_CODE8_CNT     */ {/*swreg*/25,  4, 28},
/* HWIF_DC2_CODE7_CNT     */ {/*swreg*/25,  4, 24},
/* HWIF_DC2_CODE6_CNT     */ {/*swreg*/25,  4, 20},
/* HWIF_DC2_CODE5_CNT     */ {/*swreg*/25,  4, 16},
/* HWIF_DC2_CODE4_CNT     */ {/*swreg*/25,  4, 12},
/* HWIF_DC2_CODE3_CNT     */ {/*swreg*/25,  4,  8},
/* HWIF_DC2_CODE2_CNT     */ {/*swreg*/25,  3,  4},
/* HWIF_DC2_CODE1_CNT     */ {/*swreg*/25,  2,  0},
/* HWIF_SCAN_MAP_31       */ {/*swreg*/25,  6, 24},
/* HWIF_SCAN_MAP_32       */ {/*swreg*/25,  6, 18},
/* HWIF_SCAN_MAP_33       */ {/*swreg*/25,  6, 12},
/* HWIF_SCAN_MAP_34       */ {/*swreg*/25,  6,  6},
/* HWIF_SCAN_MAP_35       */ {/*swreg*/25,  6,  0},
/* HWIF_REFER12_BASE      */ {/*swreg*/26, 32,  0},
/* HWIF_DCT_STRM5_BASE    */ {/*swreg*/26, 32,  0},
/* HWIF_REFER12_FIELD_E   */ {/*swreg*/26,  1,  1},
/* HWIF_REFER12_TOPC_E    */ {/*swreg*/26,  1,  0},
/* HWIF_DC2_CODE16_CNT    */ {/*swreg*/26,  4, 28},
/* HWIF_DC2_CODE15_CNT    */ {/*swreg*/26,  4, 24},
/* HWIF_DC2_CODE14_CNT    */ {/*swreg*/26,  4, 20},
/* HWIF_DC2_CODE13_CNT    */ {/*swreg*/26,  4, 16},
/* HWIF_DC2_CODE12_CNT    */ {/*swreg*/26,  4, 12},
/* HWIF_DC2_CODE11_CNT    */ {/*swreg*/26,  4,  8},
/* HWIF_DC2_CODE10_CNT    */ {/*swreg*/26,  4,  4},
/* HWIF_DC2_CODE9_CNT     */ {/*swreg*/26,  4,  0},
/* HWIF_SCAN_MAP_36       */ {/*swreg*/26,  6, 24},
/* HWIF_SCAN_MAP_37       */ {/*swreg*/26,  6, 18},
/* HWIF_SCAN_MAP_38       */ {/*swreg*/26,  6, 12},
/* HWIF_SCAN_MAP_39       */ {/*swreg*/26,  6,  6},
/* HWIF_SCAN_MAP_40       */ {/*swreg*/26,  6,  0},
/* HWIF_REFER13_BASE      */ {/*swreg*/27, 32,  0},
/* HWIF_REFER13_FIELD_E   */ {/*swreg*/27,  1,  1},
/* HWIF_REFER13_TOPC_E    */ {/*swreg*/27,  1,  0},
/* HWIF_DC3_CODE8_CNT     */ {/*swreg*/27,  4, 28},
/* HWIF_DC3_CODE7_CNT     */ {/*swreg*/27,  4, 24},
/* HWIF_DC3_CODE6_CNT     */ {/*swreg*/27,  4, 20},
/* HWIF_DC3_CODE5_CNT     */ {/*swreg*/27,  4, 16},
/* HWIF_DC3_CODE4_CNT     */ {/*swreg*/27,  4, 12},
/* HWIF_DC3_CODE3_CNT     */ {/*swreg*/27,  4,  8},
/* HWIF_DC3_CODE2_CNT     */ {/*swreg*/27,  3,  4},
/* HWIF_DC3_CODE1_CNT     */ {/*swreg*/27,  2,  0},
/* HWIF_BITPL_CTRL_BASE   */ {/*swreg*/27, 32,  0},
/* HWIF_REFER14_BASE      */ {/*swreg*/28, 32,  0},
/* HWIF_DCT_STRM6_BASE    */ {/*swreg*/28, 32,  0},
/* HWIF_REFER14_FIELD_E   */ {/*swreg*/28,  1,  1},
/* HWIF_REFER14_TOPC_E    */ {/*swreg*/28,  1,  0},
/* HWIF_REF_INVD_CUR_1    */ {/*swreg*/28, 16, 16},
/* HWIF_REF_INVD_CUR_0    */ {/*swreg*/28, 16,  0},
/* HWIF_DC3_CODE16_CNT    */ {/*swreg*/28,  4, 28},
/* HWIF_DC3_CODE15_CNT    */ {/*swreg*/28,  4, 24},
/* HWIF_DC3_CODE14_CNT    */ {/*swreg*/28,  4, 20},
/* HWIF_DC3_CODE13_CNT    */ {/*swreg*/28,  4, 16},
/* HWIF_DC3_CODE12_CNT    */ {/*swreg*/28,  4, 12},
/* HWIF_DC3_CODE11_CNT    */ {/*swreg*/28,  4,  8},
/* HWIF_DC3_CODE10_CNT    */ {/*swreg*/28,  4,  4},
/* HWIF_DC3_CODE9_CNT     */ {/*swreg*/28,  4,  0},
/* HWIF_SCAN_MAP_41       */ {/*swreg*/28,  6, 24},
/* HWIF_SCAN_MAP_42       */ {/*swreg*/28,  6, 18},
/* HWIF_SCAN_MAP_43       */ {/*swreg*/28,  6, 12},
/* HWIF_SCAN_MAP_44       */ {/*swreg*/28,  6,  6},
/* HWIF_SCAN_MAP_45       */ {/*swreg*/28,  6,  0},
/* HWIF_REFER15_BASE      */ {/*swreg*/29, 32,  0},
/* HWIF_DCT_STRM7_BASE    */ {/*swreg*/29, 32,  0},
/* HWIF_REFER15_FIELD_E   */ {/*swreg*/29,  1,  1},
/* HWIF_REFER15_TOPC_E    */ {/*swreg*/29,  1,  0},
/* HWIF_REF_INVD_CUR_3    */ {/*swreg*/29, 16, 16},
/* HWIF_REF_INVD_CUR_2    */ {/*swreg*/29, 16,  0},
/* HWIF_SCAN_MAP_46       */ {/*swreg*/29,  6, 24},
/* HWIF_SCAN_MAP_47       */ {/*swreg*/29,  6, 18},
/* HWIF_SCAN_MAP_48       */ {/*swreg*/29,  6, 12},
/* HWIF_SCAN_MAP_49       */ {/*swreg*/29,  6,  6},
/* HWIF_SCAN_MAP_50       */ {/*swreg*/29,  6,  0},
/* HWIF_REFER1_NBR        */ {/*swreg*/30, 16, 16},
/* HWIF_REFER0_NBR        */ {/*swreg*/30, 16,  0},
/* HWIF_REF_DIST_CUR_1    */ {/*swreg*/30, 16, 16},
/* HWIF_REF_DIST_CUR_0    */ {/*swreg*/30, 16,  0},
/* HWIF_FILT_TYPE         */ {/*swreg*/30,  1, 31},
/* HWIF_FILT_SHARPNESS    */ {/*swreg*/30,  3, 28},
/* HWIF_FILT_MB_ADJ_0     */ {/*swreg*/30,  7, 21},
/* HWIF_FILT_MB_ADJ_1     */ {/*swreg*/30,  7, 14},
/* HWIF_FILT_MB_ADJ_2     */ {/*swreg*/30,  7,  7},
/* HWIF_FILT_MB_ADJ_3     */ {/*swreg*/30,  7,  0},
/* HWIF_REFER3_NBR        */ {/*swreg*/31, 16, 16},
/* HWIF_REFER2_NBR        */ {/*swreg*/31, 16,  0},
/* HWIF_SCAN_MAP_51       */ {/*swreg*/31,  6, 24},
/* HWIF_SCAN_MAP_52       */ {/*swreg*/31,  6, 18},
/* HWIF_SCAN_MAP_53       */ {/*swreg*/31,  6, 12},
/* HWIF_SCAN_MAP_54       */ {/*swreg*/31,  6,  6},
/* HWIF_SCAN_MAP_55       */ {/*swreg*/31,  6,  0},
/* HWIF_REF_DIST_CUR_3    */ {/*swreg*/31, 16, 16},
/* HWIF_REF_DIST_CUR_2    */ {/*swreg*/31, 16,  0},
/* HWIF_FILT_REF_ADJ_0    */ {/*swreg*/31,  7, 21},
/* HWIF_FILT_REF_ADJ_1    */ {/*swreg*/31,  7, 14},
/* HWIF_FILT_REF_ADJ_2    */ {/*swreg*/31,  7,  7},
/* HWIF_FILT_REF_ADJ_3    */ {/*swreg*/31,  7,  0},
/* HWIF_REFER5_NBR        */ {/*swreg*/32, 16, 16},
/* HWIF_REFER4_NBR        */ {/*swreg*/32, 16,  0},
/* HWIF_SCAN_MAP_56       */ {/*swreg*/32,  6, 24},
/* HWIF_SCAN_MAP_57       */ {/*swreg*/32,  6, 18},
/* HWIF_SCAN_MAP_58       */ {/*swreg*/32,  6, 12},
/* HWIF_SCAN_MAP_59       */ {/*swreg*/32,  6,  6},
/* HWIF_SCAN_MAP_60       */ {/*swreg*/32,  6,  0},
/* HWIF_REF_INVD_COL_1    */ {/*swreg*/32, 16, 16},
/* HWIF_REF_INVD_COL_0    */ {/*swreg*/32, 16,  0},
/* HWIF_FILT_LEVEL_0      */ {/*swreg*/32,  6, 18},
/* HWIF_FILT_LEVEL_1      */ {/*swreg*/32,  6, 12},
/* HWIF_FILT_LEVEL_2      */ {/*swreg*/32,  6,  6},
/* HWIF_FILT_LEVEL_3      */ {/*swreg*/32,  6,  0},
/* HWIF_REFER7_NBR        */ {/*swreg*/33, 16, 16},
/* HWIF_REFER6_NBR        */ {/*swreg*/33, 16,  0},
/* HWIF_SCAN_MAP_61       */ {/*swreg*/33,  6, 24},
/* HWIF_SCAN_MAP_62       */ {/*swreg*/33,  6, 18},
/* HWIF_SCAN_MAP_63       */ {/*swreg*/33,  6, 12},
/* HWIF_REF_INVD_COL_3    */ {/*swreg*/33, 16, 16},
/* HWIF_REF_INVD_COL_2    */ {/*swreg*/33, 16,  0},
/* HWIF_QUANT_DELTA_0     */ {/*swreg*/33,  5, 27},
/* HWIF_QUANT_DELTA_1     */ {/*swreg*/33,  5, 22},
/* HWIF_QUANT_0           */ {/*swreg*/33, 11, 11},
/* HWIF_QUANT_1           */ {/*swreg*/33, 11,  0},
/* HWIF_REFER9_NBR        */ {/*swreg*/34, 16, 16},
/* HWIF_REFER8_NBR        */ {/*swreg*/34, 16,  0},
/* HWIF_PRED_BC_TAP_0_3   */ {/*swreg*/34, 10, 22},
/* HWIF_PRED_BC_TAP_1_0   */ {/*swreg*/34, 10, 12},
/* HWIF_PRED_BC_TAP_1_1   */ {/*swreg*/34, 10,  2},
/* HWIF_REFER11_NBR       */ {/*swreg*/35, 16, 16},
/* HWIF_REFER10_NBR       */ {/*swreg*/35, 16,  0},
/* HWIF_PRED_BC_TAP_1_2   */ {/*swreg*/35, 10, 22},
/* HWIF_PRED_BC_TAP_1_3   */ {/*swreg*/35, 10, 12},
/* HWIF_PRED_BC_TAP_2_0   */ {/*swreg*/35, 10,  2},
/* HWIF_REFER13_NBR       */ {/*swreg*/36, 16, 16},
/* HWIF_REFER12_NBR       */ {/*swreg*/36, 16,  0},
/* HWIF_PRED_BC_TAP_2_1   */ {/*swreg*/36, 10, 22},
/* HWIF_PRED_BC_TAP_2_2   */ {/*swreg*/36, 10, 12},
/* HWIF_PRED_BC_TAP_2_3   */ {/*swreg*/36, 10,  2},
/* HWIF_REFER15_NBR       */ {/*swreg*/37, 16, 16},
/* HWIF_REFER14_NBR       */ {/*swreg*/37, 16,  0},
/* HWIF_PRED_BC_TAP_3_0   */ {/*swreg*/37, 10, 22},
/* HWIF_PRED_BC_TAP_3_1   */ {/*swreg*/37, 10, 12},
/* HWIF_PRED_BC_TAP_3_2   */ {/*swreg*/37, 10,  2},
/* HWIF_REFER_LTERM_E     */ {/*swreg*/38, 32,  0},
/* HWIF_PRED_BC_TAP_3_3   */ {/*swreg*/38, 10, 22},
/* HWIF_PRED_BC_TAP_4_0   */ {/*swreg*/38, 10, 12},
/* HWIF_PRED_BC_TAP_4_1   */ {/*swreg*/38, 10,  2},
/* HWIF_REFER_VALID_E     */ {/*swreg*/39, 32,  0},
/* HWIF_PRED_BC_TAP_4_2   */ {/*swreg*/39, 10, 22},
/* HWIF_PRED_BC_TAP_4_3   */ {/*swreg*/39, 10, 12},
/* HWIF_PRED_BC_TAP_5_0   */ {/*swreg*/39, 10,  2},
/* HWIF_QTABLE_BASE       */ {/*swreg*/40, 32,  0},
/* HWIF_DIR_MV_BASE       */ {/*swreg*/41, 32,  0},
/* HWIF_BINIT_RLIST_B2    */ {/*swreg*/42,  5, 25},
/* HWIF_BINIT_RLIST_F2    */ {/*swreg*/42,  5, 20},
/* HWIF_BINIT_RLIST_B1    */ {/*swreg*/42,  5, 15},
/* HWIF_BINIT_RLIST_F1    */ {/*swreg*/42,  5, 10},
/* HWIF_BINIT_RLIST_B0    */ {/*swreg*/42,  5,  5},
/* HWIF_BINIT_RLIST_F0    */ {/*swreg*/42,  5,  0},
/* HWIF_PRED_BC_TAP_5_1   */ {/*swreg*/42, 10, 22},
/* HWIF_PRED_BC_TAP_5_2   */ {/*swreg*/42, 10, 12},
/* HWIF_PRED_BC_TAP_5_3   */ {/*swreg*/42, 10,  2},
/* HWIF_PJPEG_DCCB_BASE   */ {/*swreg*/42, 32,  0},
/* HWIF_WEIGHT_QP_1       */ {/*swreg*/42,  8, 24},
/* HWIF_REF_DELTA_COL_0   */ {/*swreg*/42,  3, 21},
/* HWIF_REF_DELTA_COL_1   */ {/*swreg*/42,  3, 18},
/* HWIF_REF_DELTA_COL_2   */ {/*swreg*/42,  3, 15},
/* HWIF_REF_DELTA_COL_3   */ {/*swreg*/42,  3, 12},
/* HWIF_REF_DELTA_CUR_0   */ {/*swreg*/42,  3,  9},
/* HWIF_REF_DELTA_CUR_1   */ {/*swreg*/42,  3,  6},
/* HWIF_REF_DELTA_CUR_2   */ {/*swreg*/42,  3,  3},
/* HWIF_REF_DELTA_CUR_3   */ {/*swreg*/42,  3,  0},
/* HWIF_BINIT_RLIST_B5    */ {/*swreg*/43,  5, 25},
/* HWIF_BINIT_RLIST_F5    */ {/*swreg*/43,  5, 20},
/* HWIF_BINIT_RLIST_B4    */ {/*swreg*/43,  5, 15},
/* HWIF_BINIT_RLIST_F4    */ {/*swreg*/43,  5, 10},
/* HWIF_BINIT_RLIST_B3    */ {/*swreg*/43,  5,  5},
/* HWIF_BINIT_RLIST_F3    */ {/*swreg*/43,  5,  0},
/* HWIF_PRED_BC_TAP_6_0   */ {/*swreg*/43, 10, 22},
/* HWIF_PRED_BC_TAP_6_1   */ {/*swreg*/43, 10, 12},
/* HWIF_PRED_BC_TAP_6_2   */ {/*swreg*/43, 10,  2},
/* HWIF_PJPEG_DCCR_BASE   */ {/*swreg*/43, 32,  0},
/* HWIF_WEIGHT_QP_2       */ {/*swreg*/43,  8, 24},
/* HWIF_WEIGHT_QP_3       */ {/*swreg*/43,  8, 16},
/* HWIF_WEIGHT_QP_4       */ {/*swreg*/43,  8,  8},
/* HWIF_WEIGHT_QP_5       */ {/*swreg*/43,  8,  0},
/* HWIF_BINIT_RLIST_B8    */ {/*swreg*/44,  5, 25},
/* HWIF_BINIT_RLIST_F8    */ {/*swreg*/44,  5, 20},
/* HWIF_BINIT_RLIST_B7    */ {/*swreg*/44,  5, 15},
/* HWIF_BINIT_RLIST_F7    */ {/*swreg*/44,  5, 10},
/* HWIF_BINIT_RLIST_B6    */ {/*swreg*/44,  5,  5},
/* HWIF_BINIT_RLIST_F6    */ {/*swreg*/44,  5,  0},
/* HWIF_PRED_BC_TAP_6_3   */ {/*swreg*/44, 10, 22},
/* HWIF_PRED_BC_TAP_7_0   */ {/*swreg*/44, 10, 12},
/* HWIF_PRED_BC_TAP_7_1   */ {/*swreg*/44, 10,  2},
/* HWIF_DEC_AVSP_ENA      */ {/*swreg*/44,  1, 26},
/* HWIF_WEIGHT_QP_E       */ {/*swreg*/44,  1, 25},
/* HWIF_WEIGHT_QP_MODEL   */ {/*swreg*/44,  2, 23},
/* HWIF_AVS_AEC_E         */ {/*swreg*/44,  1, 22},
/* HWIF_NO_FWD_REF_E      */ {/*swreg*/44,  1, 21},
/* HWIF_PB_FIELD_ENHANCED_E*/{/*swreg*/44,  1, 20},
/* HWIF_QP_DELTA_CB       */ {/*swreg*/44,  6, 14},
/* HWIF_QP_DELTA_CR       */ {/*swreg*/44,  6,  8},
/* HWIF_WEIGHT_QP_0       */ {/*swreg*/44,  8,  0},
/* HWIF_BINIT_RLIST_B11   */ {/*swreg*/45,  5, 25},
/* HWIF_BINIT_RLIST_F11   */ {/*swreg*/45,  5, 20},
/* HWIF_BINIT_RLIST_B10   */ {/*swreg*/45,  5, 15},
/* HWIF_BINIT_RLIST_F10   */ {/*swreg*/45,  5, 10},
/* HWIF_BINIT_RLIST_B9    */ {/*swreg*/45,  5,  5},
/* HWIF_BINIT_RLIST_F9    */ {/*swreg*/45,  5,  0},
/* HWIF_PRED_BC_TAP_7_2   */ {/*swreg*/45, 10, 22},
/* HWIF_PRED_BC_TAP_7_3   */ {/*swreg*/45, 10, 12},
/* HWIF_PRED_TAP_2_M1     */ {/*swreg*/45,  2, 10},
/* HWIF_PRED_TAP_2_4      */ {/*swreg*/45,  2,  8},
/* HWIF_PRED_TAP_4_M1     */ {/*swreg*/45,  2,  6},
/* HWIF_PRED_TAP_4_4      */ {/*swreg*/45,  2,  4},
/* HWIF_PRED_TAP_6_M1     */ {/*swreg*/45,  2,  2},
/* HWIF_PRED_TAP_6_4      */ {/*swreg*/45,  2,  0},
/* HWIF_DIR_MV_BASE2      */ {/*swreg*/45, 32,  0},
/* HWIF_BINIT_RLIST_B14   */ {/*swreg*/46,  5, 25},
/* HWIF_BINIT_RLIST_F14   */ {/*swreg*/46,  5, 20},
/* HWIF_BINIT_RLIST_B13   */ {/*swreg*/46,  5, 15},
/* HWIF_BINIT_RLIST_F13   */ {/*swreg*/46,  5, 10},
/* HWIF_BINIT_RLIST_B12   */ {/*swreg*/46,  5,  5},
/* HWIF_BINIT_RLIST_F12   */ {/*swreg*/46,  5,  0},
/* HWIF_QUANT_DELTA_2     */ {/*swreg*/46,  5, 27},
/* HWIF_QUANT_DELTA_3     */ {/*swreg*/46,  5, 22},
/* HWIF_QUANT_2           */ {/*swreg*/46, 11, 11},
/* HWIF_QUANT_3           */ {/*swreg*/46, 11,  0},
/* HWIF_PINIT_RLIST_F3    */ {/*swreg*/47,  5, 25},
/* HWIF_PINIT_RLIST_F2    */ {/*swreg*/47,  5, 20},
/* HWIF_PINIT_RLIST_F1    */ {/*swreg*/47,  5, 15},
/* HWIF_PINIT_RLIST_F0    */ {/*swreg*/47,  5, 10},
/* HWIF_BINIT_RLIST_B15   */ {/*swreg*/47,  5,  5},
/* HWIF_BINIT_RLIST_F15   */ {/*swreg*/47,  5,  0},
/* HWIF_QUANT_DELTA_4     */ {/*swreg*/47,  5, 27},
/* HWIF_QUANT_4           */ {/*swreg*/47, 11, 11},
/* HWIF_QUANT_5           */ {/*swreg*/47, 11,  0},
/* HWIF_STARTMB_X         */ {/*swreg*/48,  9, 23},
/* HWIF_STARTMB_Y         */ {/*swreg*/48,  9, 14},
/* HWIF_ERROR_CONC_MODE   */ {/*swreg*/48,  2, 12},
/* HWIF_PRED_BC_TAP_0_0   */ {/*swreg*/49, 10, 22},
/* HWIF_PRED_BC_TAP_0_1   */ {/*swreg*/49, 10, 12},
/* HWIF_PRED_BC_TAP_0_2   */ {/*swreg*/49, 10,  2},
/* HWIF_REFBU_E           */ {/*swreg*/51,  1, 31},
/* HWIF_REFBU_THR         */ {/*swreg*/51, 12, 19},
/* HWIF_REFBU_PICID       */ {/*swreg*/51,  5, 14},
/* HWIF_REFBU_EVAL_E      */ {/*swreg*/51,  1, 13},
/* HWIF_REFBU_FPARMOD_E   */ {/*swreg*/51,  1, 12},
/* HWIF_REFBU_Y_OFFSET    */ {/*swreg*/51,  9,  0},
/* HWIF_REFBU_HIT_SUM     */ {/*swreg*/52, 16, 16},
/* HWIF_REFBU_INTRA_SUM   */ {/*swreg*/52, 16,  0},
/* HWIF_REFBU_Y_MV_SUM    */ {/*swreg*/53, 22,  0},
/* HWIF_REFBU2_BUF_E      */ {/*swreg*/55,  1, 31},
/* HWIF_REFBU2_THR        */ {/*swreg*/55, 12, 19},
/* HWIF_REFBU2_PICID      */ {/*swreg*/55,  5, 14},
/* HWIF_APF_THRESHOLD     */ {/*swreg*/55, 14,  0},
/* HWIF_REFBU_TOP_SUM     */ {/*swreg*/56, 16, 16},
/* HWIF_REFBU_BOT_SUM     */ {/*swreg*/56, 16,  0},
/* HWIF_SERV_MERGE_DIS    */ {/*swreg*/58,  1, 31},
/* HWIF_DEC_MULTICORE_E   */ {/*swreg*/58,  1, 30},
/* HWIF_DEC_WRITESTAT_E   */ {/*swreg*/58,  1, 29},
/* HWIF_DEC_MC_POLLMODE   */ {/*swreg*/58,  2, 27},
/* HWIF_DEC_MC_POLLTIME   */ {/*swreg*/58, 10, 17},
/* HWIF_DEC_CH8PIX_BASE   */ {/*swreg*/59, 32,  0},
/* HWIF_PP_BUS_INT        */ {/*swreg*/60,  1, 13},
/* HWIF_PP_RDY_INT        */ {/*swreg*/60,  1, 12},
/* HWIF_PP_IRQ            */ {/*swreg*/60,  1,  8},
/* HWIF_PP_IRQ_DIS        */ {/*swreg*/60,  1,  4},
/* HWIF_PP_PIPELINE_E     */ {/*swreg*/60,  1,  1},
/* HWIF_PP_E              */ {/*swreg*/60,  1,  0},
/* HWIF_PP_AXI_RD_ID      */ {/*swreg*/61,  8, 24},
/* HWIF_PP_AXI_WR_ID      */ {/*swreg*/61,  8, 16},
/* HWIF_PP_AHB_HLOCK_E    */ {/*swreg*/61,  1, 15},
/* HWIF_PP_SCMD_DIS       */ {/*swreg*/61,  1, 14},
/* HWIF_PP_IN_A2_ENDSEL   */ {/*swreg*/61,  1, 13},
/* HWIF_PP_IN_A1_SWAP32   */ {/*swreg*/61,  1, 12},
/* HWIF_PP_IN_A1_ENDIAN   */ {/*swreg*/61,  1, 11},
/* HWIF_PP_IN_SWAP32_E    */ {/*swreg*/61,  1, 10},
/* HWIF_PP_DATA_DISC_E    */ {/*swreg*/61,  1,  9},
/* HWIF_PP_CLK_GATE_E     */ {/*swreg*/61,  1,  8},
/* HWIF_PP_IN_ENDIAN      */ {/*swreg*/61,  1,  7},
/* HWIF_PP_OUT_ENDIAN     */ {/*swreg*/61,  1,  6},
/* HWIF_PP_OUT_SWAP32_E   */ {/*swreg*/61,  1,  5},
/* HWIF_PP_MAX_BURST      */ {/*swreg*/61,  5,  0},
/* HWIF_DEINT_E           */ {/*swreg*/62,  1, 31},
/* HWIF_DEINT_THRESHOLD   */ {/*swreg*/62, 14, 16},
/* HWIF_DEINT_BLEND_E     */ {/*swreg*/62,  1, 15},
/* HWIF_DEINT_EDGE_DET    */ {/*swreg*/62, 15,  0},
/* HWIF_PP_IN_LU_BASE     */ {/*swreg*/63, 32,  0},
/* HWIF_PP_IN_CB_BASE     */ {/*swreg*/64, 32,  0},
/* HWIF_PP_IN_CR_BASE     */ {/*swreg*/65, 32,  0},
/* HWIF_PP_OUT_LU_BASE    */ {/*swreg*/66, 32,  0},
/* HWIF_PP_OUT_CH_BASE    */ {/*swreg*/67, 32,  0},
/* HWIF_CONTRAST_THR1     */ {/*swreg*/68,  8, 24},
/* HWIF_CONTRAST_OFF2     */ {/*swreg*/68, 10, 10},
/* HWIF_CONTRAST_OFF1     */ {/*swreg*/68, 10,  0},
/* HWIF_PP_IN_START_CH    */ {/*swreg*/69,  1, 31},
/* HWIF_PP_IN_CR_FIRST    */ {/*swreg*/69,  1, 30},
/* HWIF_PP_OUT_START_CH   */ {/*swreg*/69,  1, 29},
/* HWIF_PP_OUT_CR_FIRST   */ {/*swreg*/69,  1, 28},
/* HWIF_COLOR_COEFFA2     */ {/*swreg*/69, 10, 18},
/* HWIF_COLOR_COEFFA1     */ {/*swreg*/69, 10,  8},
/* HWIF_CONTRAST_THR2     */ {/*swreg*/69,  8,  0},
/* HWIF_PP_OUT_H_EXT      */ {/*swreg*/70,  2, 30},
/* HWIF_COLOR_COEFFD      */ {/*swreg*/70, 10, 20},
/* HWIF_COLOR_COEFFC      */ {/*swreg*/70, 10, 10},
/* HWIF_COLOR_COEFFB      */ {/*swreg*/70, 10,  0},
/* HWIF_PP_OUT_W_EXT      */ {/*swreg*/71,  2, 30},
/* HWIF_CROP_STARTX       */ {/*swreg*/71,  9, 21},
/* HWIF_ROTATION_MODE     */ {/*swreg*/71,  3, 18},
/* HWIF_COLOR_COEFFF      */ {/*swreg*/71,  8, 10},
/* HWIF_COLOR_COEFFE      */ {/*swreg*/71, 10,  0},
/* HWIF_CROP_STARTY       */ {/*swreg*/72,  8, 24},
/* HWIF_RANGEMAP_COEF_Y   */ {/*swreg*/72,  5, 18},
/* HWIF_PP_IN_HEIGHT      */ {/*swreg*/72,  8,  9},
/* HWIF_PP_IN_WIDTH       */ {/*swreg*/72,  9,  0},
/* HWIF_PP_BOT_YIN_BASE   */ {/*swreg*/73, 32,  0},
/* HWIF_PP_BOT_CIN_BASE   */ {/*swreg*/74, 32,  0},
/* HWIF_RANGEMAP_Y_E      */ {/*swreg*/79,  1, 31},
/* HWIF_RANGEMAP_C_E      */ {/*swreg*/79,  1, 30},
/* HWIF_YCBCR_RANGE       */ {/*swreg*/79,  1, 29},
/* HWIF_RGB_PIX_IN32      */ {/*swreg*/79,  1, 28},
/* HWIF_RGB_R_PADD        */ {/*swreg*/79,  5, 23},
/* HWIF_RGB_G_PADD        */ {/*swreg*/79,  5, 18},
/* HWIF_SCALE_WRATIO      */ {/*swreg*/79, 18,  0},
/* HWIF_PP_FAST_SCALE_E   */ {/*swreg*/80,  1, 30},
/* HWIF_PP_IN_STRUCT      */ {/*swreg*/80,  3, 27},
/* HWIF_HOR_SCALE_MODE    */ {/*swreg*/80,  2, 25},
/* HWIF_VER_SCALE_MODE    */ {/*swreg*/80,  2, 23},
/* HWIF_RGB_B_PADD        */ {/*swreg*/80,  5, 18},
/* HWIF_SCALE_HRATIO      */ {/*swreg*/80, 18,  0},
/* HWIF_WSCALE_INVRA      */ {/*swreg*/81, 16, 16},
/* HWIF_HSCALE_INVRA      */ {/*swreg*/81, 16,  0},
/* HWIF_R_MASK            */ {/*swreg*/82, 32,  0},
/* HWIF_G_MASK            */ {/*swreg*/83, 32,  0},
/* HWIF_B_MASK            */ {/*swreg*/84, 32,  0},
/* HWIF_PP_IN_FORMAT      */ {/*swreg*/85,  3, 29},
/* HWIF_PP_OUT_FORMAT     */ {/*swreg*/85,  3, 26},
/* HWIF_PP_OUT_HEIGHT     */ {/*swreg*/85, 11, 15},
/* HWIF_PP_OUT_WIDTH      */ {/*swreg*/85, 11,  4},
/* HWIF_PP_OUT_TILED_E    */ {/*swreg*/85,  1,  3},
/* HWIF_PP_OUT_SWAP16_E   */ {/*swreg*/85,  1,  2},
/* HWIF_PP_CROP8_R_E      */ {/*swreg*/85,  1,  1},
/* HWIF_PP_CROP8_D_E      */ {/*swreg*/85,  1,  0},
/* HWIF_PP_IN_FORMAT_ES   */ {/*swreg*/86,  3, 29},
/* HWIF_PP_VC1_ADV_E      */ {/*swreg*/86,  1, 28},
/* HWIF_RANGEMAP_COEF_C   */ {/*swreg*/86,  5, 23},
/* HWIF_MASK1_ABLEND_E    */ {/*swreg*/86,  1, 22},
/* HWIF_MASK1_STARTY      */ {/*swreg*/86, 11, 11},
/* HWIF_MASK1_STARTX      */ {/*swreg*/86, 11,  0},
/* HWIF_MASK1_STARTX_EXT  */ {/*swreg*/87,  2, 29},
/* HWIF_MASK1_STARTY_EXT  */ {/*swreg*/87,  2, 27},
/* HWIF_MASK2_STARTX_EXT  */ {/*swreg*/87,  2, 25},
/* HWIF_MASK2_STARTY_EXT  */ {/*swreg*/87,  2, 23},
/* HWIF_MASK2_ABLEND_E    */ {/*swreg*/87,  1, 22},
/* HWIF_MASK2_STARTY      */ {/*swreg*/87, 11, 11},
/* HWIF_MASK2_STARTX      */ {/*swreg*/87, 11,  0},
/* HWIF_EXT_ORIG_WIDTH    */ {/*swreg*/88,  9, 23},
/* HWIF_MASK1_E           */ {/*swreg*/88,  1, 22},
/* HWIF_MASK1_ENDY        */ {/*swreg*/88, 11, 11},
/* HWIF_MASK1_ENDX        */ {/*swreg*/88, 11,  0},
/* HWIF_MASK1_ENDX_EXT    */ {/*swreg*/89,  2, 29},
/* HWIF_MASK1_ENDY_EXT    */ {/*swreg*/89,  2, 27},
/* HWIF_MASK2_ENDX_EXT    */ {/*swreg*/89,  2, 25},
/* HWIF_MASK2_ENDY_EXT    */ {/*swreg*/89,  2, 23},
/* HWIF_MASK2_E           */ {/*swreg*/89,  1, 22},
/* HWIF_MASK2_ENDY        */ {/*swreg*/89, 11, 11},
/* HWIF_MASK2_ENDX        */ {/*swreg*/89, 11,  0},
/* HWIF_RIGHT_CROSS_E     */ {/*swreg*/90,  1, 29},
/* HWIF_LEFT_CROSS_E      */ {/*swreg*/90,  1, 28},
/* HWIF_UP_CROSS_E        */ {/*swreg*/90,  1, 27},
/* HWIF_DOWN_CROSS_E      */ {/*swreg*/90,  1, 26},
/* HWIF_UP_CROSS          */ {/*swreg*/90, 11, 15},
/* HWIF_DOWN_CROSS_EXT    */ {/*swreg*/90,  2, 11},
/* HWIF_DOWN_CROSS        */ {/*swreg*/90, 11,  0},
/* HWIF_DITHER_SELECT_R   */ {/*swreg*/91,  2, 30},
/* HWIF_DITHER_SELECT_G   */ {/*swreg*/91,  2, 28},
/* HWIF_DITHER_SELECT_B   */ {/*swreg*/91,  2, 26},
/* HWIF_PP_TILED_MODE     */ {/*swreg*/91,  2, 22},
/* HWIF_RIGHT_CROSS       */ {/*swreg*/91, 11, 11},
/* HWIF_LEFT_CROSS        */ {/*swreg*/91, 11,  0},
/* HWIF_PP_IN_H_EXT       */ {/*swreg*/92,  3, 29},
/* HWIF_PP_IN_W_EXT       */ {/*swreg*/92,  3, 26},
/* HWIF_CROP_STARTY_EXT   */ {/*swreg*/92,  3, 23},
/* HWIF_CROP_STARTX_EXT   */ {/*swreg*/92,  3, 20},
/* HWIF_RIGHT_CROSS_EXT   */ {/*swreg*/92,  2, 18},
/* HWIF_LEFT_CROSS_EXT    */ {/*swreg*/92,  2, 16},
/* HWIF_UP_CROSS_EXT      */ {/*swreg*/92,  2, 14},
/* HWIF_DISPLAY_WIDTH     */ {/*swreg*/92, 13,  0},
/* HWIF_ABLEND1_BASE      */ {/*swreg*/93, 32,  0},
/* HWIF_ABLEND2_BASE      */ {/*swreg*/94, 32,  0},
/* HWIF_ABLEND2_SCANL     */ {/*swreg*/95, 13, 13},
/* HWIF_ABLEND1_SCANL     */ {/*swreg*/95, 13,  0},

/* HWIF_MB_CTRL_BASE_MSB      */ {/*swreg*/119 , 32,  0},
/* HWIF_DIFF_MV_BASE_MSB      */ {/*swreg*/120, 32,  0},
/* HWIF_SEGMENT_BASE_MSB      */ {/*swreg*/120, 32,  0},
/* HWIF_I4X4_OR_DC_BASE_MSB   */ {/*swreg*/121, 32,  0},
/* HWIF_RLC_VLC_BASE_MSB      */ {/*swreg*/122, 32,  0},
/* HWIF_DEC_OUT_BASE_MSB      */ {/*swreg*/123, 32,  0},
/* HWIF_REFER0_BASE_MSB       */ {/*swreg*/124, 32,  0},
/* HWIF_JPG_CH_OUT_BASE_MSB   */ {/*swreg*/124, 32,  0},
/* HWIF_REFER1_BASE_MSB       */ {/*swreg*/125, 32,  0},
/* HWIF_REFER2_BASE_MSB       */ {/*swreg*/126, 32,  0},
/* HWIF_REFER3_BASE_MSB       */ {/*swreg*/127, 32,  0},
/* HWIF_REFER4_BASE_MSB       */ {/*swreg*/128, 32,  0},
/* HWIF_REFER5_BASE_MSB       */ {/*swreg*/129, 32,  0},
/* HWIF_REFER6_BASE_MSB       */ {/*swreg*/130, 32,  0},
/* HWIF_VP8_DEC_CH_BASE_MSB   */ {/*swreg*/130, 32,  0},
/* HWIF_REFER7_BASE_MSB       */ {/*swreg*/131, 32,  0},
/* HWIF_REFER8_BASE_MSB       */ {/*swreg*/132, 32,  0},
/* HWIF_DCT_STRM1_BASE_MSB    */ {/*swreg*/132, 32,  0},
/* HWIF_REFER9_BASE_MSB       */ {/*swreg*/133, 32,  0},
/* HWIF_DCT_STRM2_BASE_MSB    */ {/*swreg*/133, 32,  0},
/* HWIF_REFER10_BASE_MSB      */ {/*swreg*/134, 32,  0},
/* HWIF_DCT_STRM3_BASE_MSB    */ {/*swreg*/134, 32,  0},
/* HWIF_REFER11_BASE_MSB      */ {/*swreg*/135, 32,  0},
/* HWIF_DCT_STRM4_BASE_MSB    */ {/*swreg*/135, 32,  0},
/* HWIF_REFER12_BASE_MSB      */ {/*swreg*/136, 32,  0},
/* HWIF_DCT_STRM5_BASE_MSB    */ {/*swreg*/136, 32,  0},
/* HWIF_REFER13_BASE_MSB      */ {/*swreg*/137, 32,  0},
/* HWIF_BITPL_CTRL_BASE_MSB   */ {/*swreg*/137, 32,  0},
/* HWIF_REFER14_BASE_MSB      */ {/*swreg*/138, 32,  0},
/* HWIF_DCT_STRM6_BASE_MSB    */ {/*swreg*/138, 32,  0},
/* HWIF_REFER15_BASE_MSB      */ {/*swreg*/139, 32,  0},
/* HWIF_DCT_STRM7_BASE_MSB    */ {/*swreg*/139, 32,  0},
/* HWIF_QTABLE_BASE_MSB       */ {/*swreg*/140, 32,  0},
/* HWIF_DIR_MV_BASE_MSB       */ {/*swreg*/141, 32,  0},
/* HWIF_PJPEG_DCCB_BASE_MSB   */ {/*swreg*/142, 32,  0},
/* HWIF_PJPEG_DCCR_BASE_MSB   */ {/*swreg*/143, 32,  0},
/* HWIF_DIR_MV_BASE2_MSB      */ {/*swreg*/144, 32,  0},
/* HWIF_DEC_CH8PIX_BASE_MSB   */ {/*swreg*/145, 32,  0},
/* HWIF_PP_IN_LU_BASE_MSB     */ {/*swreg*/146, 32,  0},
/* HWIF_PP_IN_CB_BASE_MSB     */ {/*swreg*/147, 32,  0},
/* HWIF_PP_IN_CR_BASE_MSB     */ {/*swreg*/148, 32,  0},
/* HWIF_PP_OUT_LU_BASE_MSB    */ {/*swreg*/149, 32,  0},
/* HWIF_PP_OUT_CH_BASE_MSB    */ {/*swreg*/150, 32,  0},
/* HWIF_PP_BOT_YIN_BASE_MSB   */ {/*swreg*/151, 32,  0},
/* HWIF_PP_BOT_CIN_BASE_MSB   */ {/*swreg*/152, 32,  0},
/* HWIF_ABLEND1_BASE_MSB      */ {/*swreg*/153, 32,  0},
/* HWIF_ABLEND2_BASE_MSB      */ {/*swreg*/154, 32,  0},

#if 0
/* HWIF_DEC_RSY_BASE_MSB      */ {/*swreg*/155, 32,  0},
/* HWIF_DEC_RSY_BASE_LSB      */ {/*swreg*/156, 32,  0},
/* HWIF_DEC_RSC_BASE_MSB      */ {/*swreg*/157, 32,  0},
/* HWIF_DEC_RSC_BASE_LSB      */ {/*swreg*/158, 32,  0},
/* HWIF_DEC_DS_E              */ {/*swreg*/159, 1,  4},
/* HWIF_DEC_DS_Y              */ {/*swreg*/159, 2,  2},
/* HWIF_DEC_DS_X              */ {/*swreg*/159, 2,  0},
/* HWIF_DEC_DSY_BASE_MSB      */ {/*swreg*/160, 32,  0},
/* HWIF_DEC_DSY_BASE_LSB      */ {/*swreg*/161, 32,  0},
/* HWIF_DEC_DSC_BASE_MSB      */ {/*swreg*/162, 32,  0},
/* HWIF_DEC_DSC_BASE_LSB      */ {/*swreg*/163, 32,  0},
#else
/* HWIF_PP_AXI_RD_ID_U,       */ {/*swreg*/266,  8,  24},
/* HWIF_PP_AXI_WR_ID_U,       */ {/*swreg*/266,  8,  16},
/* HWIF_PP_PIPELINE_E_U,      */ {/*swreg*/266,  1,   0},
/* HWIF_PP_OUT_SWAP_U,        */ {/*swreg*/267,  4,  20},
/* HWIF_PP_OUT_PIXEL_LINES_U, */ {/*swreg*/267, 16,   0},
/* HWIF_PP_IN_FORMAT_U,       */ {/*swreg*/268,  5,  27},
/* HWIF_HOR_SCALE_MODE_U,     */ {/*swreg*/268,  2,  25},
/* HWIF_VER_SCALE_MODE_U,     */ {/*swreg*/268,  2,  23},
/* HWIF_SCALE_HRATIO_U,       */ {/*swreg*/268, 18,   0},
/* HWIF_RANGEMAP_Y_E_U,       */ {/*swreg*/269,  1,  31},
/* HWIF_RANGEMAP_C_E_U,       */ {/*swreg*/269,  1,  30},
/* HWIF_PP_VC1_ADV_E_U,       */ {/*swreg*/269,  1,  28},
/* HWIF_RANGEMAP_COEF_Y_U,    */ {/*swreg*/269,  5,  23},
/* HWIF_RANGEMAP_COEF_C_U,    */ {/*swreg*/269,  5,  18},
/* HWIF_SCALE_WRATIO_U,       */ {/*swreg*/269, 18,   0},
/* HWIF_WSCALE_INVRA_U,       */ {/*swreg*/270, 16,  16},
/* HWIF_HSCALE_INVRA_U,       */ {/*swreg*/270, 16,   0},
/* HWIF_PP_OUT_LU_BASE_U_MSB, */ {/*swreg*/271, 32,   0},
/* HWIF_PP_OUT_LU_BASE_U_LSB, */ {/*swreg*/272, 32,   0},
/* HWIF_PP_OUT_CH_BASE_U_MSB, */ {/*swreg*/273, 32,   0},
/* HWIF_PP_OUT_CH_BASE_U_LSB, */ {/*swreg*/274, 32,   0},
/* HWIF_PP_OUT_Y_STRIDE,      */ {/*swreg*/275, 16,  16},
/* HWIF_PP_OUT_C_STRIDE,      */ {/*swreg*/275, 16,   0},
#endif
